<?php 
/**
 * Система управления сайтом HostCMS v. 5.xx
 * Copyright © 2005-2010 ООО "Хостмэйк" (Hostmake LLC), http://www.hostcms.ru
 *
 * Модуль lib.
 * 
 * Файл: /admin/lib/lib.php
 * 
 * @author Hostmake LLC
 * @version 5.x
 */
// Подключаем основные классы.
require_once('../../main_classes.php');

$admin = new Admin();

// Проверка авторизации пользователя.
$admin->admin_session_valid('lib');

$kernel = & singleton('kernel');

// Инсталляция всех модулей ядра.
$kernel->LoadModules(!isset($_REQUEST['JsHttpRequest']));

// Инициализация CURRENT_SITE и констант.
$admin->admin_init();

$lib = & singleton('lib');

if (!isset($_REQUEST['JsHttpRequest']))
{
	do_html_header_admin($GLOBALS['MSG_lib']['menu_list']);
}

/* Обработчик AJAX'a должен выполняться ДО отображения заголовков */
if (isset($_REQUEST['ajax_lib']))
{
	include('action/ajax_loader_lib.php');
}

$admin_forms = & singleton('admin_forms');

$templates = & singleton('templates');

// добавление типовой страницы
if (isset($_REQUEST['add_lib']) || isset($_REQUEST['save_lib']))
{
	ob_start();
	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		include('action/add_lib.php');
	}
	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	// При добавлении (не сохранении) - отправляем команду на загрузку
	if (isset($_REQUEST['add_lib']))
	{
		// Отображаем форму
		include(CMS_FOLDER.'admin/lib/action/load_lib.php');
		$GLOBALS['_RESULT'] = $admin_forms->ShowForm(32, 'load_data');
		// Добавляем определенное выше сообщение
		$GLOBALS['_RESULT']['error'] = $message;
	}
	else
	{
		// Отправляем только сообщение о произведенных действиях
		$GLOBALS['_RESULT'] = array(
		'error' => $message,
		'form_html' => '',
		'title' => '');
	}

	echo $JsHttpRequest->LOADER;
	exit();
}

// добавление раздела типовой страницы
if (isset($_REQUEST['add_lib_dir']) || isset($_REQUEST['save_lib_dir']))
{
	ob_start();
	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		include('action/add_lib_dir.php');
	}
	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	// При добавлении (не сохранении) - отправляем команду на загрузку
	if (isset($_REQUEST['add_lib_dir']))
	{
		// Отображаем форму
		include(CMS_FOLDER.'admin/lib/action/load_lib.php');
		$GLOBALS['_RESULT'] = $admin_forms->ShowForm(32, 'load_data');
		// Добавляем определенное выше сообщение
		$GLOBALS['_RESULT']['error'] = $message;
	}
	else
	{
		// Отправляем только сообщение о произведенных действиях
		$GLOBALS['_RESULT'] = array(
		'error' => $message,
		'form_html' => '',
		'title' => '');
	}

	echo $JsHttpRequest->LOADER;
	exit();
}

// добавление параметра типовой страницы
if (isset($_REQUEST['add_lib_property']) || isset($_REQUEST['save_lib_property']))
{
	ob_start();
	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		include('action/add_lib_property.php');
		$_REQUEST['action'] = 'show_lib_property';
	}
	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	// При добавлении (не сохранении) - отправляем команду на загрузку
	if (isset($_REQUEST['add_lib_property']))
	{
		// Отображаем форму
		include(CMS_FOLDER.'admin/lib/action/load_property.php');
		$GLOBALS['_RESULT'] = $admin_forms->ShowForm(33, 'load_data');
		// Добавляем определенное выше сообщение
		$GLOBALS['_RESULT']['error'] = $message;
	}
	else
	{
		// Отправляем только сообщение о произведенных действиях
		$GLOBALS['_RESULT'] = array(
		'error' => $message,
		'form_html' => '',
		'title' => '');
	}

	echo $JsHttpRequest->LOADER;
	exit();
}



// Отображение форм
switch (to_int($_REQUEST['admin_forms_id']))
{
	case 32:
	default:
		{
			// Список типовых динамических страниц
			include(CMS_FOLDER.'admin/lib/action/load_lib.php');
			$admin_forms->ProcessAjax(32);
			break;
		}
	case 33:
		{
			include(CMS_FOLDER.'admin/lib/action/load_property.php');
	$admin_forms->ProcessAjax(to_int($_REQUEST['admin_forms_id']));
			break;
		}
}

if (!isset($_REQUEST['JsHttpRequest']))
{
	do_html_footer_admin();
}

?>